## fonts-topaz-unicode 1+git20240201+ds

=== Makefile ===
all: topaz_unicode_ks13_regular.ttf topaz_unicode_ks13_bold.ttf

tmp/topaz_unicode_ks13_regular.bdf: src/regular-glyphs.bdf src/regular-metadata.bdf
	bdflib-merge $^ $@

tmp/bold-%.bdf: src/regular-%.bdf
	bdflib-embolden --ignore-spacing $^ $@

tmp/topaz_unicode_ks13_bold.bdf: tmp/bold-glyphs.bdf src/bold-metadata.bdf
	bdflib-merge $^ $@

%.ttf: tmp/%.bdf
	rm -f $@
	java -jar BitsNPicas.jar convertbitmap -o $@ -f ttf $<

=== debian/changelog ===
fonts-topaz-unicode (1+git20240201+ds-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Tue, 23 Jul 2024 16:15:09 +0000

fonts-topaz-unicode (1+git20240201+ds-3) unstable; urgency=medium

  * d/control: add missing build-depends: default-jre-headless.

 -- Gürkan Myczko <tar@debian.org>  Mon, 08 Apr 2024 12:23:26 +0200

fonts-topaz-unicode (1+git20240201+ds-2) unstable; urgency=medium

  * d/control: add to fonts team.
  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Thu, 28 Mar 2024 06:20:33 +0100

fonts-topaz-unicode (1+git20240201+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1062618)

 -- Gürkan Myczko <tar@debian.org>  Thu, 01 Feb 2024 13:10:02 +0100

=== debian/control ===
Source: fonts-topaz-unicode
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 bdflib,
 bitsnpicas,
 default-jre-headless,
Standards-Version: 4.7.0
Homepage: https://gitlab.com/Screwtapello/topaz-unicode
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-topaz-unicode
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-topaz-unicode.git

Package: fonts-topaz-unicode
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Amiga 500 "Topaz" font updated for the 21st century
 This is therefore a highly nostalgic typeface for people of a certain age and
 geographical distribution, but it's also a genuinely good font. It's high
 contrast, it's consistently designed (within the limits of 8x8px), and it's
 quite compact.

## fonts-topaz-unicode 1+git20250226+ds

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all: topaz_unicode_ks13_regular.ttf topaz_unicode_ks13_bold.ttf
+all: topaz_unicode_ks13_regular.ttf topaz_unicode_ks13_bold.ttf topaz_unicode_ks13_regular.psf
 
 tmp/topaz_unicode_ks13_regular.bdf: src/regular-glyphs.bdf src/regular-metadata.bdf
 	bdflib-merge $^ $@
@@ -12,3 +12,15 @@
 %.ttf: tmp/%.bdf
 	rm -f $@
 	java -jar BitsNPicas.jar convertbitmap -o $@ -f ttf $<
+
+%.psf: tmp/%.bdf \
+		/usr/share/bdf2psf/standard.equivalents \
+		/usr/share/bdf2psf/ascii.set \
+		/usr/share/bdf2psf/linux.set \
+		/usr/share/bdf2psf/useful.set
+	bdf2psf \
+		$< \
+		/usr/share/bdf2psf/standard.equivalents \
+		/usr/share/bdf2psf/ascii.set+/usr/share/bdf2psf/linux.set+/usr/share/bdf2psf/useful.set \
+		512 \
+		$@

=== debian/changelog ===
fonts-topaz-unicode (1+git20250226+ds-3) unstable; urgency=medium

  * d/copyright: bump year.
  * Bump standards version to 4.7.2.
  * d/control:
    - drop Rules-Requires-Root.
    - add faketime to build-depends.
  * d/rules: tune the timeless time-traveler.
  * d/patches: patches to fix FTBR.

 -- Alex Myczko <tar@debian.org>  Mon, 26 Jan 2026 20:36:45 +0100

fonts-topaz-unicode (1+git20250226+ds-2) unstable; urgency=medium

  * d/control: add missing build-depends bdf2psf.

 -- Alex Myczko <tar@debian.org>  Thu, 27 Feb 2025 12:13:05 +0000

fonts-topaz-unicode (1+git20250226+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.1.
  * d/copyright: bump years.
  * d/clean: updated.

 -- Alex Myczko <tar@debian.org>  Wed, 26 Feb 2025 13:27:54 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Alex Myczko <tar@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  bdflib,
  bitsnpicas,
+ bdf2psf,
  default-jre-headless,
-Standards-Version: 4.7.0
+ faketime,
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/Screwtapello/topaz-unicode
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-topaz-unicode
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-topaz-unicode.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)
export PLASTIC_TIME=$(date -u -d "@$SOURCE_DATE_EPOCH" +'%Y-%m-%d %T')

%:
	dh $@
